dht::crypto::TrustList::VerifyResult Struct Reference

## Public Member Functions

bool | hasError () const
bool | isValid () const
| operator bool () const
std::string | toString () const

## Public Attributes

int | ret
unsigned | result

## Friends

OPENDHT_PUBLIC friend std::ostream & | operator<< (std::ostream &s, const VerifyResult &h)

## Detailed Description

Definition at line 470 of file crypto.h.

## Member Function Documentation

## hasError()

bool dht::crypto::TrustList::VerifyResult::hasError | ( |  | ) | const

inline

Definition at line 473 of file crypto.h.

## isValid()

bool dht::crypto::TrustList::VerifyResult::isValid | ( |  | ) | const

inline

Definition at line 474 of file crypto.h.

## operator bool()

dht::crypto::TrustList::VerifyResult::operator bool | ( |  | ) | const

inline explicit

Definition at line 475 of file crypto.h.

## Member Data Documentation

## result

unsigned dht::crypto::TrustList::VerifyResult::result

Definition at line 472 of file crypto.h.

## ret

int dht::crypto::TrustList::VerifyResult::ret

Definition at line 471 of file crypto.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/crypto.h